7) Unlabeling AIP
Convert AIP documents to regular documents
API
| Method | URL |
|---|---|
| POST | /api/unProtect |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| licenseKey | required | string | Enter the issued license in the integration app management menu of the SHIELDRM admin page. |
| srcFilePath | required | string | Original AIP document path - If the Azure OpenidTenant is missing or the Action creation fails, consider the document as a regular document. |
| dstFilePath | required | string | Released General Document Path |
| extraInfo | optional | json | Input additional information in JSON format (Refer to the extraInfo data description table and sample data below) |
| decisionFactor | optional | json | Additional Information Input for Applying Registered Conditional Policies (Refer to the decisionFactor data description table and sample data below) |
extraInfo Data Description Table
Key Required Type Description source required json name required string Call System Name from required string Call System URL user json id string User ID name string Username depart string All User Departments (Top Group/Middle Group/Lower Group) duty string User Job Title
- Sample Data
{
"source": {
"name": "EKMS",
"from": "https://devekms.softcamp.co.kr"
},
"user": {
"id": "ekmsTest@softcamp.co.kr",
"name": "ekmsTest",
"depart": "임직원/연구소/개발실/개발1팀",
"duty": "과장"
}
}
decisionFactor Data Description Table
Key Required Type Description userId required string User ID of the requester for document conversion that corresponds to the members of the conditional policy ipAddress required string User IP requesting document conversion corresponding to the location (IP) of the conditional policy
- Sample Data
{
"userId": "user1@socam.info",
"ipAddress": "10.10.10.100"
}
Response
| Name | Type | Description |
|---|---|---|
| code | int | 0 : Success Value other than 0: Error |
| message | string | "OK" : Success Other Value Error Message |
Examples
Request
- Body
{
"licenseKey": "FEFF-0C448-B1D8-A1A9A",
"srcFilePath" : "/opt/shieldrm/data/encFile.xlsx",
"dstFilePath" : "/opt/shieldrm/plainFile.xlsx",
"extraInfo" : "{\"source\":{\"name\":\"EKMS\",\"from\":\"https://devekms.softcamp.co.kr\"},\"user\":{\"id\":\"ekmsTest@softcamp.co.kr\",\"name\":\"ekmsTest\",\"depart\":\"임직원/연구소/개발실/개발1팀\",\"duty\":\"과장\"}}",
"decisionFactor": "{\"userId\":\"user1@socam.info\",\"ipAddress\":\"10.10.10.100\"}"
}
Response
- success
{
"code": 0,
"message" : "OK"
}
- failure
- Status code : 401 UNAUTHORIZED
{
"code": 40001,
"message": "Invalid token"
}
- Status code : 500 INTERNAL_SERVER_ERROR
[AIP SDK 에러]
{
"code": 60001,
"message": "com.microsoft.informationprotection.internal.gen.Error: NoAuthTokenError: Client application failed to provide authentication token for HTTP request., CorrelationId=a2d2f6b1-4265-482b-bc7d-18c88f8284bd, CorrelationId.Description=PolicyProfile"
}
[내부 서비스 에러]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}